org.apache.sysds.runtime.controlprogram.paramserv

## Class LocalParamServer

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.ParamServer
  - - org.apache.sysds.runtime.controlprogram.paramserv.LocalParamServer

-     public class LocalParamServer
      extends ParamServer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalParamServer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalParamServer` | `create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels)`
    `ListObject` | `pull(int workerID)`
    `void` | `push(int workerID, ListObject gradients)`

    - ### Methods inherited from class org.apache.sysds.runtime.controlprogram.paramserv.ParamServer

      `getAggInst, getResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalParamServer

          public LocalParamServer()

  - ### Method Detail

    - #### create

          public static LocalParamServer create(ListObject model,
                                                String aggFunc,
                                                Statement.PSUpdateType updateType,
                                                Statement.PSFrequency freq,
                                                ExecutionContext ec,
                                                int workerNum,
                                                String valFunc,
                                                int numBatchesPerEpoch,
                                                MatrixObject valFeatures,
                                                MatrixObject valLabels)

    - #### push

          public void push(int workerID,
                           ListObject gradients)

      Specified by:
        `push` in class `ParamServer`

    - #### pull

          public ListObject pull(int workerID)

      Specified by:
        `pull` in class `ParamServer`

Copyright © 2021 The Apache Software Foundation. All rights reserved.